Bug 460229 - RHEL5 cmirror tracker: RFE - make service cmirror status report something
RHEL5 cmirror tracker: RFE - make service cmirror status report something
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cmirror (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 17:23 EDT by Corey Marthaler
Modified: 2010-01-11 21:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:27:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2008-08-26 17:23:22 EDT
Description of problem:
I would be nice if the init script could report if the mod was loaded and clogd was started like other scripts.

[root@taft-01 ~]# service cmirror status

[root@taft-01 ~]# service clvmd status
clvmd (pid 6177) is running...
active volumes: LogVol00 LogVol01

[root@taft-01 ~]# service cman status
cman is running.


Version-Release number of selected component (if applicable):
cmirror-1.1.22-1.el5
Comment 1 RHEL Product and Program Management 2008-08-26 17:42:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Jonathan Earl Brassow 2008-08-27 16:26:20 EDT
status added:

commit 29b4608b93abf8517b735c9c7065c96f8be1c529
Author: Jonathan Brassow <jbrassow@redhat.com>
Date:   Wed Aug 27 14:25:50 2008 -0500

    cmirror init script: Fix bug 460229 - add status output

    Also noticed that the return code wasn't always correct
    when doing 'service cmirror status'.
Comment 4 Corey Marthaler 2008-09-10 12:41:09 EDT
Fix verified in cmirror-1.1.23-1.el5.
Comment 6 errata-xmlrpc 2009-01-20 16:27:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0158.html

Note You need to log in before you can comment on or make changes to this bug.